---
title: Create a new connector
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/connector/create-a-new-connector/
product: CloudConnexa Docs
---

# Create a new connector

`POST /api/beta/connectors`

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| body | body | object | true | body |
| networkItemId | query | string | true | networkItemId |
| networkItemType | query | string | true | networkItemType |

### Body parameter

```json
{
  "description": "string",
  "name": "string",
  "vpnRegionId": "string"
}
```

## Responses

| Status | Meaning | Description |
| --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Entity created |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error |

To perform this operation, you must be authenticated by means of one of the following methods: OAuth\_authorization

```json
{
  "description": "string",
  "id": "string",
  "ipV4Address": "string",
  "ipV6Address": "string",
  "name": "string",
  "networkItemId": "string",
  "networkItemType": "HOST",
  "vpnRegionId": "string"
}
```

---

Prev: [Get existing connectors](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/connector/get-existing-connectors.md)
Next: [Delete an existing connector](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/connector/delete-an-existing-connector.md)
Index: https://openvpn.net/cloud-docs/llms.txt
